## mfsa2023-30.yml
announced: August 1, 2023
impact: high
fixed_in:
- Firefox ESR 102.14
title: Security Vulnerabilities fixed in Firefox ESR 102.14
advisories:
  CVE-FIXME-YYY:
    title: Offscreen Canvas could have bypassed cross-origin restrictions
    impact: high
    reporter: Max Vlasov
    description: |
      Offscreen Canvas did not properly track cross-origin tainting, which could have been used to access image data from another site in violation of same-origin policy.
    bugs:
      - url: 1833876
  CVE-FIXME-YYY:
    title: Incorrect value used during WASM compilation
    impact: high
    reporter: Alexander Guryanov
    description: |
      In some circumstances, a stale value could have been used for a global variable in WASM JIT analysis. This resulted in incorrect compilation and a potentially exploitable crash in the content process.
    bugs:
      - url: 1837686
  CVE-FIXME-YYY:
    title: Potential permissions request bypass via clickjacking
    impact: high
    reporter: Axel Chong (@Haxatron)
    description: |
      A bug in popup notifications delay calculation could have made it possible for an attacker to trick a user into granting permissions.
    bugs:
      - url: 1839073
  CVE-FIXME-YYY:
    title: Crash in DOMParser due to out-of-memory conditions
    impact: high
    reporter: Irvan Kurniawan
    description: |
      An out-of-bounds read could have led to an exploitable crash when parsing HTML with DOMParser in low memory situations.
    bugs:
      - url: 1841368
  CVE-FIXME-YYY:
    title: Fix potential race conditions when releasing platform objects
    impact: high
    reporter: Nika Layzell
    description: |
      Race conditions in reference counting code were found through code inspection. These could have resulted in potentially exploitable use-after-free vulnerabilities.
    bugs:
      - url: 1842658
  CVE-FIXME-YYY:
    title: Stack buffer overflow in StorageManager
    impact: high
    reporter: Mark Brand
    description: |
      In some cases, an untrusted input stream was copied to a stack buffer without checking its size. This resulted in a potentially exploitable crash which could have led to a sandbox escape.
    bugs:
      - url: 1843038
  CVE-FIXME-YYY:
    title: Lack of warning when opening appref-ms files
    impact: moderate
    reporter: P Umar Farooq
    description: |
      When opening appref-ms files, Firefox did not warn the user that these files may contain malicious code. <br>*This bug only affects Firefox on Windows. Other operating systems are unaffected.*
    bugs:
      - url: 1840777
  CVE-FIXME-YYY:
    title: Cookie jar overflow caused unexpected cookie jar state
    impact: low
    reporter: Marco Squarcina
    description: |
      When the number of cookies per domain was exceeded in <code>document.cookie</code>, the actual cookie jar sent to the host was no longer consistent with expected cookie jar state. This could have caused requests to be sent with some cookies missing.
    bugs:
      - url: 1782561
  CVE-XXX-rollup:
    title: Memory safety bugs fixed in Firefox 116, Firefox ESR 115.1, Firefox ESR 102.14, Thunderbird 115.1, and Thunderbird 102.14
    impact: high
    reporter: Dianna Smith, Ryan VanderMeulen, Timothy Nikkel, and the Mozilla Fuzzing Team
    description: |
      Memory safety bugs present in Firefox 115, Firefox ESR 115.0, Firefox ESR 102.13, Thunderbird 115.0, and Thunderbird 102.13. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code.
    bugs:
      - url: 1820587, 1824634, 1839235, 1842325, 1843847
        desc: Memory safety bugs fixed in Firefox 116, Firefox ESR 115.1, Firefox ESR 102.14, Thunderbird 115.1, and Thunderbird 102.14
